package types

import "context"

// IKernel -- объект ядра
type IKernel interface {
	// Screen -- объект экрана
	Screen() IScreen
	// Run -- запускает объект ядра в работу
	Run() error
	// Cursor -- возвращает глобальный курсор ядра
	Cursor() ICursor
	// Ctx -- контекст ядра
	Ctx() context.Context
	// CancelApp -- отмена контекста ядра
	CancelApp()
}
